package com.ruoyi.agentcenter.object;

import com.nsgk.agentcentersdk.err.NSErrno;
import lombok.Data;
import lombok.experimental.Accessors;

@Data
@Accessors(chain = true)
public class Result<R>
{
    private boolean success;
    private int code;
    private String message;
    private R data;

    public boolean IsSuccess()
    {
        return code == NSErrno.ERRNO_OK;
    }
}
